Public Class frm_AlignContainerDemo

    ''' <summary>
    ''' Eventhandler fr das Load-Ereignis der Form
    ''' </summary>
    Private Sub frm_AlignContainerDemo_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        ' den zum aktuellen ContentAlignment des AlignContainers passenden 
        ' Button mit orangem Hintergrund versehen
        For Each Btn As Button In Me.GroupBox1.Controls
            If Btn.TextAlign = Me.AlignContainer1.ContentAlignment Then
                SelectButton(Btn)
                Exit For
            End If
        Next
        ' auch die Checkboxen erhalten die dazu gehrenden Werte des AlignContainers
        Me.CheckBoxCenterSmallVertikal.Checked = Me.AlignContainer1.CenterSmallVertikal
        Me.CheckBoxCenterSmallHorizontal.Checked = Me.AlignContainer1.CenterSmallHorizontal
    End Sub

    ''' <summary>
    ''' Eventhandler fr das Click-Ereignis fr alle zur Align-Auswhl gehrenden Buttons
    ''' </summary>
    Private Sub AlignButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
    ButtonTopLeft.Click, ButtonTopCenter.Click, ButtonTopRight.Click, _
    ButtonMiddleLeft.Click, ButtonMiddleCenter.Click, ButtonMiddleRight.Click, _
    ButtonBottomLeft.Click, ButtonBottomCenter.Click, ButtonBottomRight.Click
        Dim btn As Button = sender
        ' Die Buttons haben keinen Text, wohl aber jeder eine entsprechende TextAlign-Eigenschaft
        Me.AlignContainer1.ContentAlignment = btn.TextAlign
        ' Button mit orangem Hintergrund versehen 
        SelectButton(btn)
    End Sub

    ''' <summary>
    ''' versieht den ausgewhlten Align-Button mit orangem Hintergrund
    ''' </summary>
    Private Sub SelectButton(ByVal Btn As Button)
        ' Button mit orangem Hintergrund versehen 
        Btn.BackColor = Color.Orange
        ' die anderen Buttons wieder mit normalem Hintergrund versehen
        For Each Bttn As Button In Me.GroupBox1.Controls
            If Not Bttn Is Btn Then
                Bttn.UseVisualStyleBackColor = True
            End If
        Next
    End Sub

    Private Sub CheckBoxCenterSmallVertikal_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBoxCenterSmallVertikal.CheckedChanged
        ' bei Setzen oder Entfernen eines Hkchens in der CenterSmallVertikal-CheckBox
        ' entsprechende Eigenschaft im Aligncontainer setzen
        Me.AlignContainer1.CenterSmallVertikal = CheckBoxCenterSmallVertikal.Checked
    End Sub
    Private Sub CheckBoxCenterSmallHorizontal_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBoxCenterSmallHorizontal.CheckedChanged
        ' bei Setzen oder Entfernen eines Hkchens in der CenterSmallHorizontal-CheckBox
        ' entsprechende Eigenschaft im Aligncontainer setzen
        Me.AlignContainer1.CenterSmallHorizontal = CheckBoxCenterSmallHorizontal.Checked
    End Sub

End Class